_mode=cross
_nodeps=true
pkgname=device-msm8953-xiaomi-tissot
pkgdesc="Xiaomi Mi A1"
pkgver=0.1
pkgrel=1
_arches=specific
arch=(aarch64)
license=(MIT)
makedepends=(devicepkg-helpers)
_commit=897dd2b8320c02acdfcf2c30c7013f7baea9b604
depends=(
    device-msm8953-common
    firmware-msm8953-xiaomi-tissot
    qbootctl
    q6voiced
)
source=(
    "https://gitlab.postmarketos.org/postmarketOS/pmaports/-/raw/${_commit}/device/community/device-xiaomi-tissot/deviceinfo"
    "https://gitlab.postmarketos.org/postmarketOS/pmaports/-/raw/${_commit}/device/community/device-xiaomi-tissot/modules-initfs"
    machine-info
)
sha256sums=(
    dd6d8f84c9d9b117fd50e79e3ba8bb7f16cf8495f543080bcacd4503de725936
    fa0800bd5da002d4a8003ff683c9df3390500a80435d3e15bd378f49027ea505
    7729d6a89258b470cadd48cfbc704bab7791501c53f45f50737dea6b441a3171
)

package() {
    cp "$srcdir"/deviceinfo "$srcdir"/deviceinfo_
    cat >>"$srcdir"/deviceinfo_ <<EOF

deviceinfo_partitions_data="/dev/mmcblk0p49"
deviceinfo_partitions_microsd="/dev/mmcblk1"

deviceinfo_lk2nd="true"
EOF

# compability with kupfer: init scripts expect the list of modules to be a variable in the deviceinfo file
    cat >>"$srcdir"/deviceinfo_ <<EOF
    
deviceinfo_modules_initfs="$(cat "$srcdir"/modules-initfs | tr '\n' ' ')"
EOF
    install -Dm644 "$srcdir"/deviceinfo_ "$pkgdir"/etc/kupfer/deviceinfo
    install -Dm644 "$srcdir"/machine-info "$pkgdir"/etc/machine-info
}
